putty
API ReferenceArtifacts

List your shops

Every shop the authenticated user owns, newest first. Another shopkeeper's shop is not in this list and is not distinguishable from one that does not exist.

GET
/business/shops

Every shop the authenticated user owns, newest first. Another shopkeeper's shop is not in this list and is not distinguishable from one that does not exist.

Authorization

bearerAuth
AuthorizationBearer <token>

A bearer token. The Account routes accept a Privy access token; the MCP transport accepts an sk- API key issued by POST /account/api-keys.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/business/shops"
{  "shops": [    {      "id": "string",      "name": "string",      "origin": "string",      "methods": [        "card"      ],      "treasuryAddress": "string",      "projectId": "string",      "stablecoins": [        {          "symbol": "usdg",          "name": "string",          "chain": "string",          "chainId": 0,          "available": true        }      ],      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}